curl https://production.methodfi.com/accounts/acc_GAzrD99cUqGEN/payment_instruments/pmt_inst_pd788hPVhLT37 \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
"success": true,
"data": {
"id": "pmt_inst_pd788hPVhLT37",
"account_id": "acc_GAzrD99cUqGEN",
"type": "card",
"card": {
"number": "5555555555551580",
"exp_month": "04",
"exp_year": "2027",
"billing_zip_code": "12345"
},
"network_token": null,
"chargeable": true,
"status": "completed",
"error": null,
"created_at": "2025-04-03T19:30:56.039Z",
"updated_at": "2025-04-03T19:30:56.039Z"
},
"message": null
}
Payment Instruments
Retrieve Payment Instrument
GET
/
accounts
/
{acc_id}
/
payment_instruments
/
{pmt_inst_id}
curl https://production.methodfi.com/accounts/acc_GAzrD99cUqGEN/payment_instruments/pmt_inst_pd788hPVhLT37 \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
"success": true,
"data": {
"id": "pmt_inst_pd788hPVhLT37",
"account_id": "acc_GAzrD99cUqGEN",
"type": "card",
"card": {
"number": "5555555555551580",
"exp_month": "04",
"exp_year": "2027",
"billing_zip_code": "12345"
},
"network_token": null,
"chargeable": true,
"status": "completed",
"error": null,
"created_at": "2025-04-03T19:30:56.039Z",
"updated_at": "2025-04-03T19:30:56.039Z"
},
"message": null
}
Retrieves a specific PaymentInstrument for an Account.
Path Parameters
Returns
Returns a PaymentInstrument object.curl https://production.methodfi.com/accounts/acc_GAzrD99cUqGEN/payment_instruments/pmt_inst_pd788hPVhLT37 \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
"success": true,
"data": {
"id": "pmt_inst_pd788hPVhLT37",
"account_id": "acc_GAzrD99cUqGEN",
"type": "card",
"card": {
"number": "5555555555551580",
"exp_month": "04",
"exp_year": "2027",
"billing_zip_code": "12345"
},
"network_token": null,
"chargeable": true,
"status": "completed",
"error": null,
"created_at": "2025-04-03T19:30:56.039Z",
"updated_at": "2025-04-03T19:30:56.039Z"
},
"message": null
}
⌘I